# Ogre::LinearResampler_Float32 Struct Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

void | scale (const PixelBox &src, const PixelBox &dst)

## Member Function Documentation

void Ogre::LinearResampler_Float32::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) | `[static]`

| Definition at line 176 of file OgreImageResampler.h. References ACCUM3, ACCUM4, Ogre::Box::back, Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::PixelBox::format, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::Box::top, and Ogre::uint64.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:30 2005